glutGetColor(3GLUT)

NAME
glutGetColor - retrieves a red, green, or blue component for a given color index colormap entry for the layer in use's logical colormap for the current window.

SYNTAX

GLfloat glutGetColor(int cell, int component);

ARGUMENTS

cell
    Color cell index (starting at zero).

component
    One of GLUT_RED, GLUT_GREEN, or GLUT_BLUE.

DESCRIPTION
glutGetColor retrieves a red, green, or blue component for a given color index colormap entry for the current window's logical colormap. The current window should be a color index window. cell should be zero or greater and less than the total number of colormap entries for the window. For valid color indices, the value returned is a floating point value between 0.0 and 1.0 inclusive. glutGetColor will return -1.0 if the color index specified is an overlay's transparent index, less than zero, or greater or equal to the value returned by glutGet(GLUT_WINDOW_COLORMAP_SIZE), that is if the color index is transparent or outside the valid range of color indices.

SEE ALSO
glutGet, glutSetColor, glutCopyColormap

AUTHOR
Mark J. Kilgard (mjk@nvidia.com)